import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { css } from "@emotion/react";
import { KeyValueSection } from "./common.js";
import { Colors } from "./constants.js";
import { getIdForType } from "./utils.js";
const TypeNameStyles = css({
    display: "inline",
    color: Colors.typeName,
});
export const TypeUIBase = (props) => {
    var _a;
    const id = (_a = props.id) !== null && _a !== void 0 ? _a : getIdForType(props.type);
    const properties = props.properties.map((prop) => {
        return (_jsxs("li", { children: [_jsx("span", { css: { color: Colors.property }, title: prop.description, children: prop.name }), ": ", _jsx("span", { children: prop.value })] }, prop.name));
    });
    return (_jsxs("div", { children: [_jsxs("div", { id: id, children: [_jsx("span", { css: {
                            display: "inline",
                            color: Colors.typeKind,
                            marginRight: "5px",
                        }, children: props.type.kind }), _jsx("span", { css: TypeNameStyles, children: props.name })] }), _jsx(KeyValueSection, { children: properties })] }));
};
//# sourceMappingURL=type-ui-base.js.map